//************************************************************************
//*                          BipDATE Win V0.9.1                          *
//*----------------------------------------------------------------------*
//*                      Header file for BipDATE Win                     *
//*                                                                      *
//*                                                         P. Basset    *
//************************************************************************


// include BipDATE only one time
#ifndef _BipDATE_
#define _BipDATE_

class BP_Date
{
	private:
		time_t tBP_Date;			// store the date
		std::string sBP_Format;		// store the format of the date
		bool bBP_Null;				// true if date is null
		int iBPError;				// store error code

	public:
		BP_Date (); // constructor
		~BP_Date (); // destructor
		BP_Date::setdatetime (const int BPyear, const int BPmonth, const int BPday,
			  const int BPhour, const int BPmin, const int BPsec);
		BP_Date::set (const std::string BPdate);
		std::string BP_Date::str (const std::string BPformat = "");
		int BP_Date::geterror (void);
		BP_Date::setformat (const std::string BPformat);
		std::string BP_Date::getformat (void);
		BP_Date::settimet (time_t BPtimet);
		time_t BP_Date::gettimet (void);
		int BP_Date::day (void);
		int BP_Date::month (void);
		int BP_Date::year (void);
		int BP_Date::hour (void);
		int BP_Date::minute (void);
		int BP_Date::second (void);
		bool BP_Date::isnull (void);
		BP_Date::setnull (void);
		BP_Date::setnow (void);
		reset (void);
};


#endif /* _BipDATE_ */